Subject: Re: bug#34849: Compilation issues with g++ on some files

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Mar 2019 08:53:16 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 19 Mar 2019 22:31:46 -0400
> 
>   > My POV on this is that we should make Emacs buildable with as many
>   > modern GUI toolkits as practically possible/reasonable, because it is
>   > not clear which one(s) of them will remain workable and maintained in
>   > the long run.
> 
> That argument could be valid for toolkits that we could possibly use
> in the long run.  Because of the possible future licensing conflict,
> we cannot consider Qt as an option for the long run unless we convince
> the Qt developers to change to GPL 3-or-later.

But there's no conflict yet, is there?

Also, if Qt is installed on many systems as a system library, we could
use it as a system component, couldn't we?